Loading...
Searching...
No Matches
EST_Handleable Class Reference
Inheritance diagram for EST_Handleable:
[legend]

## Public Member Functions

int | refcount (void) const
void | start_refcounting (int initial=0)
void | inc_refcount (void)
void | dec_refcount (void)
int | is_unreferenced (void) const
int | is_refcounted (void) const

## Detailed Description

Definition at line 54 of file EST_Handleable.h.

## Constructor & Destructor Documentation

## EST_Handleable()

EST_Handleable::EST_Handleable | ( | void |  | ) |

inline

Definition at line 62 of file EST_Handleable.h.

## Member Function Documentation

## refcount()

int EST_Handleable::refcount | ( | void |  | ) | const

inline

Definition at line 64 of file EST_Handleable.h.

## start_refcounting()

void EST_Handleable::start_refcounting | ( | int | initial = 0 | ) |

inline

Definition at line 66 of file EST_Handleable.h.

## inc_refcount()

void EST_Handleable::inc_refcount | ( | void |  | ) |

inline

Definition at line 67 of file EST_Handleable.h.

## dec_refcount()

void EST_Handleable::dec_refcount | ( | void |  | ) |

inline

Definition at line 68 of file EST_Handleable.h.

## is_unreferenced()

int EST_Handleable::is_unreferenced | ( | void |  | ) | const

inline

Definition at line 70 of file EST_Handleable.h.

## is_refcounted()

int EST_Handleable::is_refcounted | ( | void |  | ) | const

inline

Definition at line 71 of file EST_Handleable.h.

The documentation for this class was generated from the following file:

- include/EST_Handleable.h